# org.pdfclown.bytes.IOutputStream Interface Reference

Output stream interface. More...

Inheritance diagram for org.pdfclown.bytes.IOutputStream:

List of all members.

## Public Member Functions
void | Write (IInputStream data)
| Writes an IInputStream into the stream.
void | Write (string data)
| Writes a string into the stream.
void | Write (byte[] data, int offset, int length)
| Writes a byte range into the stream.
void | Write (byte[] data)
| Writes a byte array into the stream.
## Properties
long | Length`[get]`
| Gets the length of the stream.

##

Output stream interface.

## Member Function Documentation

void org.pdfclown.bytes.IOutputStream.Write | ( | IInputStream | data | ) |

Writes an IInputStream into the stream.

Parameters:

  | data | IInputStream to write into the stream.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

void org.pdfclown.bytes.IOutputStream.Write | ( | string | data | ) |

Writes a string into the stream.

Parameters:

  | data | String to write into the stream.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

void org.pdfclown.bytes.IOutputStream.Write | ( | byte[] | data,
|  | int | offset,
|  | int | length |
| ) |  |  |

Writes a byte range into the stream.

Parameters:

  | data | Byte array to write into the stream.
  | offset | Location in the byte array at which writing begins.
  | length | Number of bytes to write.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

void org.pdfclown.bytes.IOutputStream.Write | ( | byte[] | data | ) |

Writes a byte array into the stream.

Parameters:

  | data | Byte array to write into the stream.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

Referenced by org.pdfclown.tokens.PlainWriter.WriteIncremental(), org.pdfclown.tokens.CompressedWriter.WriteIncremental(), org.pdfclown.tokens.PlainWriter.WriteStandard(), org.pdfclown.documents.contents.objects.Text.WriteTo(), org.pdfclown.objects.PdfString.WriteTo(), org.pdfclown.objects.PdfStream.WriteTo(), org.pdfclown.objects.PdfReference.WriteTo(), org.pdfclown.objects.PdfReal.WriteTo(), org.pdfclown.objects.PdfName.WriteTo(), org.pdfclown.objects.PdfInteger.WriteTo(), org.pdfclown.objects.PdfIndirectObject.WriteTo(), org.pdfclown.objects.PdfDictionary.WriteTo(), org.pdfclown.objects.PdfBoolean.WriteTo(), org.pdfclown.objects.PdfArray.WriteTo(), org.pdfclown.documents.contents.objects.Operation.WriteTo(), org.pdfclown.documents.contents.objects.MarkedContent.WriteTo(), org.pdfclown.documents.contents.objects.LocalGraphicsState.WriteTo(), org.pdfclown.documents.contents.objects.InlineImageBody.WriteTo(), org.pdfclown.documents.contents.objects.InlineImage.WriteTo(), and org.pdfclown.bytes.Buffer.WriteTo().

## Property Documentation

long org.pdfclown.bytes.IStream.Length`[get, inherited]`

Gets the length of the stream.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

Referenced by org.pdfclown.bytes.Buffer.Append(), org.pdfclown.tokens.FileParser.RetrieveXRefOffset(), org.pdfclown.bytes.Stream.Write(), org.pdfclown.tokens.PlainWriter.WriteIncremental(), and org.pdfclown.tokens.PlainWriter.WriteStandard().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.